> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service provider teams search count

> Returns total count of service provider client teams matching the same filters as the search endpoint.



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/count
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/count:
    post:
      tags:
        - Team
      summary: Get service provider teams search count
      description: >-
        Returns total count of service provider client teams matching the same
        filters as the search endpoint.
      operationId: TeamController_searchTeamsCount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServiceProviderClientSearchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchTeamCountResponse'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ServiceProviderClientSearchDto:
      type: object
      properties:
        size:
          type: number
        page:
          type: number
        filter:
          type: string
        search:
          type: string
        orderBy:
          type: string
        orderDir:
          type: string
          enum:
            - asc
            - desc
        onlyDemo:
          type: boolean
          description: Only include demo clients
        onlyTestMode:
          type: boolean
          description: Only include test mode clients
        onlyOperatingTeam:
          type: boolean
          description: Only include clients marked as operating teams
        onlyEndpointAutoContainment:
          type: boolean
          description: Only include clients with endpoint auto containment enabled
        onlyIdentityAutoContainment:
          type: boolean
          description: Only include clients with identity auto containment enabled
        escalationEmailSource:
          type: string
          enum:
            - custom
            - inherited
          description: Filter by escalation email source
    SearchTeamCountResponse:
      type: object
      properties:
        totalCount:
          type: number
          description: Total number of teams matching the search criteria
      required:
        - totalCount
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````